Multi-Factor Authentication (MFA)
Set Default MFA Workflow
POST
Designates the specified workflow as the default policy for challenge requests.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
id*stringDefault workflow updated
application/json- response
status?stringdata?curl -X POST 'https://api.smspro.com/api/v1/public/mfa/workflows/string/set-default'Example Response
{ "status": "string", "data": { "id": "string", "name": "string", "senderId": "string", "codeLength": 0, "expiryMinutes": 0, "maxAttempts": 0, "resendCooldownSeconds": 0, "channel": "string", "isDefault": true, "isActive": true, "webhookUrl": "string", "defaultProofMode": "CHALLENGE_RESPONSE" }}